# IShChannel Struct Reference

Inheritance diagram for IShChannel:

List of all members.

## Public Member Functions
virtual uint32 MCCOMAPI | GetType ()=0
virtual uint16 MCCOMAPI | GetBitDepth ()=0
virtual uint16 MCCOMAPI | GetByteDepth ()=0
virtual uint32 MCCOMAPI | GetMemorySize (uint32 width, uint32 height)=0
virtual MCCOMErr MCCOMAPI | GetContentChangeChannel (IChangeChannel **changeChannel)=0
virtual MCCOMErr MCCOMAPI | GetPropertyChangeChannel (IChangeChannel **changeChannel)=0
virtual MCCOMErr MCCOMAPI | Clone (IShChannel **clone)=0
virtual MCCOMErr MCCOMAPI | GenerateRGBRaster (IShRasterLayer **rasterLayer)=0
virtual boolean MCCOMAPI | IsEqual (IShChannel *other)=0
virtual MCCOMErr MCCOMAPI | GetBounds (TMCRect &out_bounds)=0
virtual MCCOMErr MCCOMAPI | GetExtendedBounds (TMCRect &out_bounds)=0
virtual MCCOMErr MCCOMAPI | GetTileSize (TMCRect &out_size)=0
virtual MCCOMErr MCCOMAPI | GetRectFromTileIndex (uint32 index, TMCRect &outTileBounds, const TMCRect *inTileBounds=NULL) const =0
virtual uint32 MCCOMAPI | GetTileIndexFromPoint (const TMCPoint &point, TMCPoint *out_offset=NULL) const =0
virtual MCCOMErr MCCOMAPI | GetChannelTileIterator (IShChannelTileIterator **out_iter, const TMCRect &in_target)=0
virtual MCCOMErr MCCOMAPI | GetData (const TMCRect &in_rect, TChannelDataBucket *dest, void *in_buffer, TDataAccessFlags flags, IYeildCallBackFunc *callBack)=0
virtual MCCOMErr MCCOMAPI | UnGetData (TChannelDataBucket *bucket, boolean dirty)=0
virtual MCCOMErr MCCOMAPI | PutData (TChannelDataBucket *in_source, const TMCRect &in_dest, TDataAccessFlags flags)=0
virtual MCCOMErr MCCOMAPI | Invalidate (const TMCRect &inRect)=0
virtual MCCOMErr MCCOMAPI | GetTile (const TMCRect &in_rect, const TChannelDataBucket **bucket, ETileAccess flags, TMCRect *out_localSource=NULL)=0
virtual MCCOMErr MCCOMAPI | GetTile (uint32 tileIndex, const TChannelDataBucket **bucket, ETileAccess flags, const TMCRect &inTile)=0
virtual MCCOMErr MCCOMAPI | UnGetTile (const TChannelDataBucket **bucket, boolean dirty)=0
virtual MCCOMErr MCCOMAPI | PutTile (const TMCRect &dest, const TChannelDataBucket *in_source, ETileAccess flags)=0
virtual MCCOMErr MCCOMAPI | PutTile (uint32 tileIndex, const TChannelDataBucket *in_source, ETileAccess flags, const TMCRect &inTile)=0
virtual uint8 *MCCOMAPI | GetPixel (int32 x, int32 y, TMCImageTileHeader *&tileHeader)=0
virtual void MCCOMAPI | UnGetPixel (TMCImageTileHeader *tileHeader)=0
virtual MCCOMErr MCCOMAPI | GetTileUniformValue (const TMCRect &in_rect, boolean &is_uniform, uint32 &value)=0
virtual MCCOMErr MCCOMAPI | GetInterpolatedPixel (const TVector2 &inXY, TGray16 &dest)=0
virtual MCCOMErr MCCOMAPI | GetName (TMCString &name)=0
virtual MCCOMErr MCCOMAPI | SetName (const TMCString &name)=0
virtual boolean MCCOMAPI | GetVisibility ()=0
virtual MCCOMErr MCCOMAPI | SetVisibility (boolean visibility)=0
virtual boolean MCCOMAPI | GetIsActive ()=0
virtual MCCOMErr MCCOMAPI | SetActive (boolean isActive)=0
virtual boolean MCCOMAPI | GetEditability ()=0
virtual MCCOMErr MCCOMAPI | SetEditability (boolean editable)=0
virtual MCCOMErr MCCOMAPI | GetDisplayColor (TColorRGB214 &color, TGray16 &opacity)=0
virtual MCCOMErr MCCOMAPI | SetDisplayColor (const TColorRGB214 &color, const TGray16 &opacity)=0
virtual MCCOMErr MCCOMAPI | GetID (TChannelID &id)=0
virtual MCCOMErr MCCOMAPI | SetID (TChannelID &id)=0
virtual boolean MCCOMAPI | MightBeChanged (IDType changeKind)=0
virtual MCCOMErr MCCOMAPI | FillWithUniformValue (uint32 value)=0
virtual MCCOMErr MCCOMAPI | FillWithZeros ()=0
virtual MCCOMErr MCCOMAPI | FillWithOnes ()=0
virtual boolean MCCOMAPI | IsDynamic ()=0
virtual void MCCOMAPI | OptimizeTileStorage (uint32 tileIndex)=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShChannel::Clone | ( | IShChannel ** | clone | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::FillWithOnes | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::FillWithUniformValue | ( | uint32 | value | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::FillWithZeros | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GenerateRGBRaster | ( | IShRasterLayer ** | rasterLayer | ) | `[pure virtual]`

virtual uint16 MCCOMAPI IShChannel::GetBitDepth | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetBounds | ( | TMCRect & | out_bounds | ) | `[pure virtual]`

virtual uint16 MCCOMAPI IShChannel::GetByteDepth | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetChannelTileIterator | ( | IShChannelTileIterator ** | out_iter,
|  | const TMCRect & | in_target |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetContentChangeChannel | ( | IChangeChannel ** | changeChannel | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetData | ( | const TMCRect & | in_rect,
|  | TChannelDataBucket * | dest,
|  | void * | in_buffer,
|  | TDataAccessFlags | flags,
|  | IYeildCallBackFunc * | callBack |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetDisplayColor | ( | TColorRGB214 & | color,
|  | TGray16 & | opacity |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::GetEditability | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetExtendedBounds | ( | TMCRect & | out_bounds | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetID | ( | TChannelID & | id | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetInterpolatedPixel | ( | const TVector2 & | inXY,
|  | TGray16 & | dest |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::GetIsActive | ( |  | ) | `[pure virtual]`

virtual uint32 MCCOMAPI IShChannel::GetMemorySize | ( | uint32 | width,
|  | uint32 | height |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetName | ( | TMCString & | name | ) | `[pure virtual]`

virtual uint8* MCCOMAPI IShChannel::GetPixel | ( | int32 | x,
|  | int32 | y,
|  | TMCImageTileHeader *& | tileHeader |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetPropertyChangeChannel | ( | IChangeChannel ** | changeChannel | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetRectFromTileIndex | ( | uint32 | index,
|  | TMCRect & | outTileBounds,
|  | const TMCRect * | inTileBounds = `NULL` |
| ) |  |  | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetTile | ( | uint32 | tileIndex,
|  | const TChannelDataBucket ** | bucket,
|  | ETileAccess | flags,
|  | const TMCRect & | inTile |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetTile | ( | const TMCRect & | in_rect,
|  | const TChannelDataBucket ** | bucket,
|  | ETileAccess | flags,
|  | TMCRect * | out_localSource = `NULL` |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI IShChannel::GetTileIndexFromPoint | ( | const TMCPoint & | point,
|  | TMCPoint * | out_offset = `NULL` |
| ) |  |  | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetTileSize | ( | TMCRect & | out_size | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::GetTileUniformValue | ( | const TMCRect & | in_rect,
|  | boolean & | is_uniform,
|  | uint32 & | value |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI IShChannel::GetType | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::GetVisibility | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::Invalidate | ( | const TMCRect & | inRect | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::IsDynamic | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::IsEqual | ( | IShChannel * | other | ) | `[pure virtual]`

virtual boolean MCCOMAPI IShChannel::MightBeChanged | ( | IDType | changeKind | ) | `[pure virtual]`

virtual void MCCOMAPI IShChannel::OptimizeTileStorage | ( | uint32 | tileIndex | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::PutData | ( | TChannelDataBucket * | in_source,
|  | const TMCRect & | in_dest,
|  | TDataAccessFlags | flags |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::PutTile | ( | uint32 | tileIndex,
|  | const TChannelDataBucket * | in_source,
|  | ETileAccess | flags,
|  | const TMCRect & | inTile |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::PutTile | ( | const TMCRect & | dest,
|  | const TChannelDataBucket * | in_source,
|  | ETileAccess | flags |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetActive | ( | boolean | isActive | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetDisplayColor | ( | const TColorRGB214 & | color,
|  | const TGray16 & | opacity |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetEditability | ( | boolean | editable | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetID | ( | TChannelID & | id | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetName | ( | const TMCString & | name | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::SetVisibility | ( | boolean | visibility | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::UnGetData | ( | TChannelDataBucket * | bucket,
|  | boolean | dirty |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IShChannel::UnGetPixel | ( | TMCImageTileHeader * | tileHeader | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShChannel::UnGetTile | ( | const TChannelDataBucket ** | bucket,
|  | boolean | dirty |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShChannel.h